0
0 Items$0.00

4.7mH Radial Leaded Power Inductors :

27 Products Found
Find a huge range of 4.7mH Radial Leaded Power Inductors at element14 New Zealand. We stock a wide range of Radial Leaded Power Inductors, such as 10µH, 100µH, 1mH & 220µH Radial Leaded Power Inductors from the worlds top manufacturers including: Wurth Elektronik, Coilcraft, Kemet, Bourns & Murata

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price For
Price (Incl GST)
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
1077042

RoHS

Each
1+ $1.780($2.047)
5+ $1.570($1.8055)
10+ $1.350($1.5525)
20+ $1.310($1.5065)
40+ $1.260($1.449)
More Pricing...
2200R Series
4.7mH
Unshielded
81mA
-
15ohm
± 10%
3518438

RoHS

Each
1+ $1.550($1.7825)
5+ $1.500($1.725)
10+ $1.450($1.6675)
25+ $1.390($1.5985)
50+ $1.330($1.5295)
More Pricing...
WE-TI Series
4.7mH
Unshielded
210mA
240mA
9.5ohm
± 5%
2457926

RoHS

Each
1+ $2.750($3.1625)
5+ $2.540($2.921)
10+ $2.320($2.668)
25+ $2.150($2.4725)
50+ $1.900($2.185)
More Pricing...
RFC1010 Series
4.7mH
Unshielded
320mA
410mA
6.95ohm
± 10%
3373477

RoHS

Each
1+ $1.140($1.311)
5+ $1.040($1.196)
10+ $0.939($1.0798)
25+ $0.820($0.943)
50+ $0.753($0.866)
More Pricing...
RLB9012 Series
4.7mH
-
240mA
-
13.6ohm
± 10%
2211724

RoHS

Each
1+ $1.830($2.1045)
5+ $1.790($2.0585)
10+ $1.760($2.024)
25+ $1.700($1.955)
50+ $1.630($1.8745)
More Pricing...
WE-TI Series
4.7mH
Unshielded
240mA
250mA
9.5ohm
± 5%
2062706

RoHS

Each
1+ $1.780($2.047)
5+ $1.620($1.863)
10+ $1.460($1.679)
25+ $1.280($1.472)
50+ $1.200($1.380)
More Pricing...
1300R Series
4.7mH
Unshielded
160mA
160mA
9.3ohm
± 10%
2457823

RoHS

Each
1+ $2.820($3.243)
5+ $2.610($3.0015)
10+ $2.400($2.760)
25+ $2.180($2.507)
50+ $1.950($2.2425)
More Pricing...
RFB1010 Series
4.7mH
Unshielded
350mA
280mA
8.5ohm
± 10%
2457862

RoHS

Each
1+ $1.960($2.254)
5+ $1.820($2.093)
10+ $1.660($1.909)
25+ $1.510($1.7365)
50+ $1.350($1.5525)
More Pricing...
RFC0807 Series
4.7mH
Unshielded
170mA
290mA
16ohm
± 10%
2457743

RoHS

Each
1+ $2.400($2.760)
5+ $2.230($2.5645)
10+ $2.050($2.3575)
25+ $1.870($2.1505)
50+ $1.670($1.9205)
More Pricing...
RFB0807 Series
4.7mH
Unshielded
150mA
100mA
17.6ohm
± 10%
2871337

RoHS

Each
1+ $1.780($2.047)
5+ $1.620($1.863)
10+ $1.460($1.679)
25+ $1.280($1.472)
50+ $1.200($1.380)
More Pricing...
1300R Series
4.7mH
Unshielded
160mA
-
9.3ohm
± 10%
3011762

RoHS

Each
1+ $3.390($3.8985)
10+ $2.670($3.0705)
50+ $2.530($2.9095)
100+ $2.350($2.7025)
500+ $2.050($2.3575)
More Pricing...
SBCP Series
4.7mH
Unshielded
270mA
480mA
4.97ohm
± 10%
3290995

RoHS

Each
1+ $3.480($4.002)
10+ $3.050($3.5075)
50+ $2.450($2.8175)
100+ $2.280($2.622)
500+ $1.990($2.2885)
More Pricing...
SBC Series
4.7mH
Unshielded
240mA
500mA
5.92ohm
± 10%
3291070

RoHS

Each
1+ $2.210($2.5415)
10+ $1.830($2.1045)
50+ $1.620($1.863)
250+ $1.400($1.610)
500+ $1.320($1.518)
More Pricing...
SBC Series
4.7mH
Unshielded
180mA
400mA
8.2ohm
± 10%
4360212

RoHS

Each
1+ $1.830($2.1045)
10+ $1.760($2.024)
100+ $1.460($1.679)
500+ $1.340($1.541)
1000+ $1.320($1.518)
More Pricing...
WE-TI Series
4.7mH
Unshielded
200mA
260mA
15ohm
± 5%
4360204

RoHS

Each
1+ $2.810($3.2315)
10+ $2.680($3.082)
100+ $2.220($2.553)
500+ $2.140($2.461)
1000+ $2.040($2.346)
More Pricing...
WE-TI Series
4.7mH
Unshielded
150mA
220mA
25ohm
± 5%
4035742

RoHS

Each
1+ $22.270($25.6105)
5+ $20.850($23.9775)
10+ $19.430($22.3445)
20+ $18.790($21.6085)
40+ $18.140($20.861)
More Pricing...
1140 Series
4.7mH
Unshielded
1.6A
3A
1.14ohm
± 10%
4360196

RoHS

Each
1+ $3.600($4.140)
10+ $3.440($3.956)
100+ $3.280($3.772)
500+ $2.550($2.9325)
1000+ $2.430($2.7945)
More Pricing...
WE-TI Series
4.7mH
Unshielded
360mA
470mA
4ohm
± 5%
4771866

RoHS

Each
400+ $0.390($0.4485)
800+ $0.346($0.3979)
1200+ $0.329($0.3784)
2000+ $0.320($0.368)
4000+ $0.309($0.3554)
More Pricing...
RLB Series
4.7mH
Unshielded
50mA
-
16ohm
± 10%
3760532

RoHS

Each
1+ $4.250($4.8875)
5+ $3.880($4.462)
10+ $3.510($4.0365)
20+ $3.230($3.7145)
40+ $2.950($3.3925)
More Pricing...
1900R Series
4.7mH
Unshielded
350mA
-
3.5ohm
± 10%
3291018

RoHS

Each
1+ $3.840($4.416)
10+ $3.290($3.7835)
50+ $3.030($3.4845)
100+ $2.440($2.806)
500+ $2.390($2.7485)
More Pricing...
SBC Series
4.7mH
Unshielded
280mA
530mA
4.83ohm
± 10%
2211763

RoHS

Each
1+ $4.720($5.428)
5+ $4.620($5.313)
10+ $4.510($5.1865)
20+ $4.260($4.899)
40+ $3.990($4.5885)
More Pricing...
WE-TIS Series
4.7mH
Shielded
250mA
200mA
7.7ohm
± 20%
1890676

RoHS

Each
1+ $3.340($3.841)
5+ $3.270($3.7605)
10+ $3.200($3.680)
20+ $3.010($3.4615)
40+ $2.830($3.2545)
More Pricing...
WE-TI Series
4.7mH
Unshielded
230mA
200mA
7ohm
± 10%
2457896

RoHS

Each
1+ $2.770($3.1855)
5+ $2.560($2.944)
10+ $2.350($2.7025)
25+ $2.150($2.4725)
50+ $1.920($2.208)
More Pricing...
RFC0810 Series
4.7mH
Unshielded
250mA
310mA
9.25ohm
± 10%
2543226

RoHS

Each
1+ $3.440($3.956)
5+ $3.210($3.6915)
10+ $2.960($3.404)
20+ $2.730($3.1395)
40+ $2.490($2.8635)
More Pricing...
WE-TI Series
4.7mH
Unshielded
340mA
420mA
4.6ohm
± 5%
3290938

RoHS

Each
1+ $1.760($2.024)
10+ $1.440($1.656)
50+ $1.320($1.518)
100+ $1.180($1.357)
500+ $1.070($1.2305)
More Pricing...
SBC Series
4.7mH
Unshielded
120mA
140mA
11.4ohm
± 10%
1-25 of 27 items
of 2 page(s)

Popular Suppliers

TDK
MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
PayPal